commit:     c00eacf471457060bfd247ccfd82183fc90c22a0
Author:     Moritz Schlarb <moschlar <AT> metalabs <DOT> de>
AuthorDate: Tue Apr 10 08:50:23 2018 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Wed Apr 11 21:47:20 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c00eacf4

net-misc/seafile-client: version bump to 6.1.7.

 net-misc/seafile-client/Manifest                   |  1 +
 .../seafile-client/seafile-client-6.1.7.ebuild     | 57 ++++++++++++++++++++++
 2 files changed, 58 insertions(+)

diff --git a/net-misc/seafile-client/Manifest b/net-misc/seafile-client/Manifest
index 22217eef1c9..b64e5dede2a 100644
--- a/net-misc/seafile-client/Manifest
+++ b/net-misc/seafile-client/Manifest
@@ -2,3 +2,4 @@ DIST seafile-client-6.0.7.tar.gz 2192384 BLAKE2B 
89bd8821b2b5a10ddb94d48ea43f796
 DIST seafile-client-6.1.0.tar.gz 2246388 BLAKE2B 
f57e89e9ae9364e8712e2f3a464cf2204b72a3ed141a7562a54c5c6f678497053b37ba64ca3de84e114a596a76fd1391ee8f98574627536abf8aee5271c7c154
 SHA512 
c6e3191afcaa833876c24690566be36ccc94e7a333c94f78df9201f23a3eed37397641e237e63b70cdc413ed6dc5683737d2eefa5c2c628b5e207bef1176b0d5
 DIST seafile-client-6.1.3.tar.gz 2358459 BLAKE2B 
75bd2a98de25c135060e5c14ac984a98dc0d6da903b675cc456b1bb52475c5a60a2c2b78be5665aa80a4c05d3fc8f2cf5e016e28ba25feb8e957a1d8d9d93ad1
 SHA512 
be5426ef472ac7e788e164f601c4c2b2ca91e305b15dac7eddf9874af5639141bf845e36c5385c4af1d2f6df4c7af6554497bd107cbccb35f8c904694705497d
 DIST seafile-client-6.1.4.tar.gz 2210086 BLAKE2B 
35b118c28ab8cc011e6ebf6ff7532f7078d4acb7251e7cfadf3e1b4e7d4507b09f5beefca1fdb2ba9daafcb118981af743b80698662cf4ed73b15781c0282c87
 SHA512 
582b630d6da28c06ef8c3841268d3e8cbfd7dbd8fc8f78fb77e20d86f6fb97ee72f5a1cac722cd1cb5874d9ad6e687e4d03097971230f92c90ce6b02da90c243
+DIST seafile-client-6.1.7.tar.gz 2260217 BLAKE2B 
96d032d5d9332cd40fabc135a132ad96e74520e677ab3071c3bb5765d17fb2ec0f7e243a8110e482137ce599672b5513b3e83d1d2ebb0cf4be66149a2891e068
 SHA512 
545f47a93c16fff9c000add19f55784c08878cf3b1448a8307fc0d25f7f5c35d671dd20940842c4f9e97df3ae3754fbbf170d0669097d67484226aad60ba09da

diff --git a/net-misc/seafile-client/seafile-client-6.1.7.ebuild 
b/net-misc/seafile-client/seafile-client-6.1.7.ebuild
new file mode 100644
index 00000000000..08b04cd8efc
--- /dev/null
+++ b/net-misc/seafile-client/seafile-client-6.1.7.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit cmake-utils gnome2-utils
+
+DESCRIPTION="Seafile desktop client"
+HOMEPAGE="https://github.com/haiwen/seafile-client/ http://www.seafile.com/";
+SRC_URI="https://github.com/haiwen/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="shibboleth test"
+
+RDEPEND="net-libs/libsearpc
+       =net-libs/ccnet-${PV}
+       =net-misc/seafile-${PV}
+       dev-libs/libevent
+       dev-libs/jansson
+       dev-libs/openssl:0
+       dev-db/sqlite:3
+       dev-qt/qtcore:5
+       dev-qt/qtgui:5
+       dev-qt/qtwidgets:5
+       dev-qt/qtnetwork:5
+       dev-qt/qtdbus:5
+       shibboleth? ( || ( dev-qt/qtwebengine:5[widgets] dev-qt/qtwebkit:5 ) )"
+DEPEND="${RDEPEND}
+       dev-qt/linguist-tools:5
+       test? ( dev-qt/qttest:5 )"
+
+src_prepare() {
+       eapply "${FILESDIR}/${PN}-select-qt5.patch"
+       cmake-utils_src_prepare
+       if use shibboleth ; then
+               if ! has_version "dev-qt/qtwebengine:5[widgets]" ; then
+                       sed -i -e 's/IF(WIN32 OR DETECTED_QT_VERSION 
VERSION_LESS 5.6.0)/IF(TRUE)/' CMakeLists.txt || die
+               fi
+       fi
+}
+
+src_configure() {
+       local mycmakeargs=(
+               -DBUILD_SHIBBOLETH_SUPPORT="$(usex shibboleth)"
+               -DBUILD_TESTING="$(usex test)"
+       )
+       cmake-utils_src_configure
+}
+
+pkg_postinst() {
+       gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+       gnome2_icon_cache_update
+}

Reply via email to